
import 'package:json_annotation/json_annotation.dart';

part 'member_trial_info_response.g.dart'; // 自动生成的代码文件

@JsonSerializable()
class MemberTrialInfoResponse {

  @JsonKey(name: 'watchTimes')
  final int? watchTimes;

  @JsonKey(name: 'trackCount')
  final int? trackCount;

  MemberTrialInfoResponse({
    this.watchTimes,
    this.trackCount,
  });

  // 反序列化：从 JSON 到 Dart 对象
  factory MemberTrialInfoResponse.fromJson(Map<String, dynamic> json) =>
      _$MemberTrialInfoResponseFromJson(json);
}